import * as CallableInstance from 'callable-instance';
import { Tweets } from './twitter';
declare class Webshot extends CallableInstance<[Tweets, (...args: any[]) => void, number], Promise<void>> {
    private browser;
    private mode;
    private wsUrl;
    constructor(wsUrl: string, mode: number, onready?: (...args: any[]) => void);
    private connect;
    private reconnect;
    private extendEntity;
    private renderWebshot;
    private fetchMedia;
    webshot(tweets: Tweets, callback: (msgs: string, text: string, author: string) => void, webshotDelay: number): Promise<void>;
}
export default Webshot;
